
Redmine - Defect #20551

Typo "coma" (correct: "comma")

2015-08-18 02:28 - Toshi MARUYAMA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed Affected version:  

Description

On trunk r14506:

1. label_coma_char

Introduced by r14494 (#950):

./config/locales/en.yml-963-  label_fields_separator: Field separator

./config/locales/en.yml-964-  label_fields_wrapper: Field wrapper

./config/locales/en.yml-965-  label_encoding: Encoding

./config/locales/en.yml:966:  label_coma_char: Coma

./config/locales/en.yml-967-  label_semi_colon_char: Semi colon

./config/locales/en.yml-968-  label_quote_char: Quote

./config/locales/en.yml-969-  label_double_quote_char: Double quote

 

2. :lastname_coma_firstname

./app/models/user.rb-47-        :order => %w(lastname firstname id),

./app/models/user.rb-48-        :setting_order => 4

./app/models/user.rb-49-      },

./app/models/user.rb:50:    :lastname_coma_firstname => {

./app/models/user.rb-51-        :string => '#{lastname}, #{firstname}',

./app/models/user.rb-52-        :order => %w(lastname firstname id),

./app/models/user.rb-53-        :setting_order => 5

 

3. lib/redmine/wiki_formatting/macros.rb

./lib/redmine/wiki_formatting/macros.rb-92-        #   invoked without a block of text.  

./lib/redmine/wiki_formatting/macros.rb-93-        #

./lib/redmine/wiki_formatting/macros.rb-94-        # Examples:

./lib/redmine/wiki_formatting/macros.rb:95:        # By default, when the macro is invoked, the co

ma separated list of arguments

./lib/redmine/wiki_formatting/macros.rb-96-        # is split and passed to the macro block as an 

array. If no argument is given

./lib/redmine/wiki_formatting/macros.rb-97-        # the macro will be invoked with an empty array

:

./lib/redmine/wiki_formatting/macros.rb-98-        #

Related issues:

Related to Redmine - Feature #950: Import Issues from delimited/CSV file Closed 2008-03-29

Associated revisions

Revision 14712 - 2015-10-20 20:26 - Jean-Philippe Lang

Typo "coma" (#20551).

Patch by budo kaiman.

Revision 14713 - 2015-10-20 20:30 - Jean-Philippe Lang

Fix setting value if used (#20551).
https://www.redmine.org/projects/redmine/repository/svn/revisions/14506
https://www.redmine.org/projects/redmine/repository/svn/revisions/14494
https://www.redmine.org/issues/950


History

#1 - 2015-08-18 02:29 - Toshi MARUYAMA

- Description updated

#2 - 2015-08-18 02:31 - Toshi MARUYAMA

- Related to Feature #950: Import Issues from delimited/CSV file added

#3 - 2015-08-18 08:48 - Jean-Philippe Lang

- Target version set to 3.2.0

#4 - 2015-10-20 18:36 - budo kaiman

- File redmine-20551_CommaTypo.patch added

I've attached a patch that will fix all of these typos.

#5 - 2015-10-20 20:31 - Jean-Philippe Lang

- Category set to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed in r14712, thanks. I've also added a migration to fix the setting value for those who use the fixed value.

Files

redmine-20551_CommaTypo.patch 26.8 KB 2015-10-20 budo kaiman
